Budget - Work Request #216701

BUDGET - Form Creation
21/06/2023 08:20 AM - Andy Maslen

Status: In Progress
Priority: Normal
Assignee: Rachel Fitzpatrick
Category:

Target version:

Client: Budget

PO Number:

Total Estimate €:
BA/PM Estimate:

Start date:

Due date:

% Done:
Estimated time:
Spent time:

Development
Estimate:

Testing Estimate:

System Deployment:

02/06/2023

80%

0.00 hour
4.50 hours

No

Description
Ticket for form creation

History

#1 - 21/06/2023 08:20 AM - Andy Maslen

- Assignee changed from Andy Maslen to Rachel Fitzpatrick

#2 - 21/06/2023 08:21 AM - Andy Maslen

- Status changed from New to In Progress

13/05/2025

1/1
